<?php
session_start();

// Gerar CSRF token
$token = bin2hex(random_bytes(32));
$_SESSION['csrf_token'] = $token;
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Upload de Imagens com CSRF Protection</title>
</head>
<body>

<form action="upload.php" method="post" enctype="multipart/form-data">
    Selecione uma imagem para fazer o upload:
    <input type="file" name="fileToUpload" id="fileToUpload">
    <input type="hidden" name="csrf_token" value="<?php echo $token; ?>">
    <input type="submit" value="Upload Image" name="submit">
</form>

</body>
</html>
